/*
 * Copyright (c) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export class CardPage {
    navigateTo() {
      return cy.visit('/layout-demo/card-demo');
    }

    getExampleCard() {
        return cy.get('[data-test="example-card"]');
    }

    getSelectableColorCard() {
        return cy.get('[data-test="selectable-color-card"]');
    }

    getSelectableColorCardRadioButtons(color: string) {
        return cy.get(`[data-test="selectable-color-card-radio-buttons-${color}"]`);
    }

    getDisabledCard() {
        return cy.get('[data-test="disabled-card"]');
    }

    getDisabledCardSwitch() {
        return cy.get('[data-test="disabled-card-switch"]');
    }

    getDisabledCardWithBorderSwitch() {
        return cy.get('[data-test="disabled-card-with-border-switch"]');
    }

    getFullExampleCardDisabledSwitch() {
        return cy.get('[data-test="card-full-example-disabled-switch"]');
    }

    getFocusCard() {
        return cy.get('[data-test="card-with-focus-state"]');
    }

    getFocusCardSwitch() {
        return cy.get('[data-test="card-focus-switch"]');
    }

    getHoverCard() {
        return cy.get('[data-test="card-with-hover-state"]');
    }

    getHoverCardSwitch() {
        return cy.get('[data-test="card-hover-switch"]');
    }

    getHorizontalCard() {
        return cy.get('[data-test="horizontal-card"]');
    }

    getHorizontalSwitchDisabled() {
        return cy.get('[data-test="horizontal-card-switch-disabled"]');
    }

    getHorizontalSwitchDisabledWithBorder() {
        return cy.get('[data-test="horizontal-card-switch-disabled-with-border"]');
    }

    getHorizontalSwitchFocus() {
        return cy.get('[data-test="horizontal-card-switch-focus"]');
    }

    getHorizontalHoverCardSwitch() {
        return cy.get('[data-test="horizontal-card-switch-hover"]');
    }

    getSelectableColorCardHorizontalRadioButtons(color: string) {
        return cy.get(`[data-test="selectable-color-card-horizontal-radio-buttons-${color}"]`);
    }
}